/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * 
 * @author Administrador
 */
@Embeddable
public class TarjetaRecaudacionPK implements Serializable {

	private static final long serialVersionUID = 1L;
	@Basic(optional = false)
	@Column(name = "TARJETARECAUDACION_ID")
	private Integer tarjetarecaudacionId;
	@Basic(optional = false)
	@Column(name = "MANUAL")
	private Boolean manual;

	public TarjetaRecaudacionPK() {
	}

	public TarjetaRecaudacionPK(Integer tarjetarecaudacionId, Boolean manual) {
		this.tarjetarecaudacionId = tarjetarecaudacionId;
		this.manual = manual;
	}

	public Integer getTarjetarecaudacionId() {
		return tarjetarecaudacionId;
	}

	public void setTarjetarecaudacionId(Integer tarjetarecaudacionId) {
		this.tarjetarecaudacionId = tarjetarecaudacionId;
	}

	public Boolean getManual() {
		return manual;
	}

	public void setManual(Boolean manual) {
		this.manual = manual;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (tarjetarecaudacionId != null ? tarjetarecaudacionId.hashCode() : 0);
		hash += (manual != null ? manual.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof TarjetaRecaudacionPK)) {
			return false;
		}
		TarjetaRecaudacionPK other = (TarjetaRecaudacionPK) object;
		if ((this.tarjetarecaudacionId == null && other.tarjetarecaudacionId != null) || (this.tarjetarecaudacionId != null && !this.tarjetarecaudacionId.equals(other.tarjetarecaudacionId))) {
			return false;
		}
		if ((this.manual == null && other.manual != null) || (this.manual != null && !this.manual.equals(other.manual))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "com.rjconsultores.ventaboletos.entidad.TarjetasRecaudacionPK[ tarjetarecaudacionId=" + tarjetarecaudacionId + ", manual=" + manual + " ]";
	}
}
